EDIT - feature request #3307

optionally reduce complexity in specimen display
02/11/2013 02:26 PM - Andreas Kohlbecker

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour

Target version:

Severity: normal

Description
Allow admins to switch between full and simplified specimen display in the dataportal:

Simplified display:

1. hide derived from information

Related issues:

Related to EDIT - task #3978: Specimenview path: Compact representation of ex... Closed
Related to EDIT - task #8419: Harmonization of the different specimen represe... In Progress
History

#1 - 02/11/2013 02:27 PM - Andreas Kohlbecker
eckhard on 7th feb 2013:

2.) Klickt man auf eine der specimen-Angaben fiir Lebanon, erhélt man nicht nur Specimen-Data (wie ich es erwarten wiirde), sondern denselben
string noch einmal als "derived from field observation", mit einigen der atomisierten Felder, die ich ebenfalls bei specimen und nicht bei field
observation erwarten wiirde. Field observation ist hier m.E. véllig sinnlos [I es reicht absolut, specimen-Daten zu zitieren (eine "field observation” ist
nach meinem Verstandnis etwas, wovon es eben gerade KEINEN zitierbaren und hinterlegten Beleg gibt, allerhdchstens ein Foto).

#2 - 02/11/2013 02:27 PM - Andreas Kohlbecker

Ich habe die Anzeige fiir das Cichorien-theme etwas verbessert. Da gab es zudem noch eine Ungereimtheit, nun sollte das etwas transparenter und
besser zuganglich sein.

#3 - 02/11/2013 02:28 PM - Andreas Kohlbecker
a.mueller on Feb. 8th 2013:

Vorschlag meinerseits also: Eine gewisse Konfigurierbarkeit des Komplexitdtsgrades der Anzeige. Z.B. kénnte man doch den Admin Konfigurieren
lassen, ob Derivation-Informationen angezeigt werden sollen oder nicht.

Details sollten wir aber sicherlich mal gemeinsam mit allen beteiligten vor Ort besprechen.

Eckhard hat aus meiner Sicht aber véllig Recht, dass da natirlich viel redundantes steht, was ich jetzt mal auf die titteCaches der einzelnen Derivate
beziehe, die ja fast identisch sind. Das war mir auch schon irritierend aufgefallen. Wenn CollectionSpecimen in direkter Nachbarschaft zu ihrer
FieldObservation ware ein String-Representation nur der Collection-spezifischen Daten evtl. ausreichend (aber manchmal auch nicht schén, weil z.B.
nur "B", wenn keine weiteren Informationen vorliegen).

#4 - 02/12/2013 03:02 PM - Andreas Kohlbecker

Hi Patrick | guess this is of interest for you.

#5 - 02/12/2013 07:49 PM - Patrick Plitzner

this is related to the changes proposed for the update of the specimen display for Campanula #3247

#6 - 10/09/2020 01:19 PM - Andreas Kohlbecker
- Tags set to specimens-view-path

- Description updated

#7 - 10/09/2020 01:20 PM - Andreas Kohlbecker

- Private changed from Yes to No
#8 - 10/09/2020 01:24 PM - Andreas Kohlbecker

| think that we rather should work on a better and more concise layout than solving this with a settings option.

#9 - 10/09/2020 01:24 PM - Andreas Kohlbecker

- Related to task #3978: Specimenview path: Compact representation of exactLocation added

#10 - 10/09/2020 01:26 PM - Andreas Kohlbecker

- Related to task #8419: Harmonization of the different specimen representations added

#11 - 05/12/2022 11:27 AM - Andreas Miiller
- Status changed from New to Worksforme

- Target version deleted (cdm_dataportal - Next Major Release)

| guess this is fixed more or less with current implementations of 3 representations for specimens and the possibility to switch between them via
dataportal administration.
